## org.apache.myfaces.custom.navmenu.htmlnavmenu
Class HtmlCommandNavigationItem

    java.lang.Object
      javax.faces.component.UIComponent
          javax.faces.component.UIComponentBase
              javax.faces.component.UICommand
                  javax.faces.component.html.HtmlCommandLink
                      org.apache.myfaces.component.html.ext.HtmlCommandLink
                          org.apache.myfaces.custom.navmenu.htmlnavmenu.HtmlCommandNavigationItem

All Implemented Interfaces:
  javax.faces.component.ActionSource, javax.faces.component.StateHolder, UserRoleAware

public class HtmlCommandNavigationItem
extends HtmlCommandLink

Author:
  Manfred Geiler, Thomas Spiegl

Field Summary
`static java.lang.String` `COMPONENT_FAMILY`
`static java.lang.String` `COMPONENT_TYPE`

Fields inherited from interface org.apache.myfaces.component.UserRoleAware
`ENABLED_ON_USER_ROLE_ATTR, VISIBLE_ON_USER_ROLE_ATTR`

Constructor Summary
`HtmlCommandNavigationItem()`

Method Summary
`void` `broadcast(javax.faces.event.FacesEvent event)`
`java.lang.String` `getFamily()`
`boolean` `isActive()`
`boolean` `isImmediate()`
`boolean` `isOpen()`
`boolean` `isRendered()`
`void` `restoreState(javax.faces.context.FacesContext context, java.lang.Object state)`
`java.lang.Object` `saveState(javax.faces.context.FacesContext context)`
`void` `setActive(java.lang.Boolean active)`
`void` `setImmediate(java.lang.Boolean immediate)`
`void` `setOpen(java.lang.Boolean open)`
`void` `toggleOpen()`

Methods inherited from class org.apache.myfaces.component.html.ext.HtmlCommandLink
`getClientId, getEnabledOnUserRole, getTarget, getVisibleOnUserRole, setEnabledOnUserRole, setTarget, setVisibleOnUserRole`

Methods inherited from class javax.faces.component.html.HtmlCommandLink

`getAccesskey, getCharset, getCoords, getDir, getHreflang, getLang, getOnblur, getOnclick, getOndblclick, getOnfocus, getOnkeydown, getOnkeypress, getOnkeyup, getOnmousedown, getOnmousemove, getOnmouseout, getOnmouseover, getOnmouseup, getRel, getRev, getShape, getStyle, getStyleClass, getTabindex, getTitle, getType, setAccesskey, setCharset, setCoords, setDir, setHreflang, setLang, setOnblur, setOnclick, setOndblclick, setOnfocus, setOnkeydown, setOnkeypress, setOnkeyup, setOnmousedown, setOnmousemove, setOnmouseout, setOnmouseover, setOnmouseup, setRel, setRev, setShape, setStyle, setStyleClass, setTabindex, setTitle, setType`

Methods inherited from class javax.faces.component.UICommand
`addActionListener, getAction, getActionListener, getActionListeners, getValue, queueEvent, removeActionListener, setAction, setActionListener, setImmediate, setValue`

Methods inherited from class javax.faces.component.UIComponentBase

`addFacesListener, decode, encodeBegin, encodeChildren, encodeEnd, findComponent, getAttributes, getChildCount, getChildren, getFacesContext, getFacesListeners, getFacet, getFacets, getFacetsAndChildren, getId, getParent, getRenderer, getRendererType, getRendersChildren, getValueBinding, isTransient, processDecodes, processRestoreState, processSaveState, processUpdates, processValidators, removeFacesListener, restoreAttachedState, saveAttachedState, setId, setParent, setRendered, setRendererType, setTransient, setValueBinding`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### COMPONENT_TYPE

    public static final java.lang.String COMPONENT_TYPE

See Also:
  Constant Field Values

### COMPONENT_FAMILY

    public static final java.lang.String COMPONENT_FAMILY

See Also:
  Constant Field Values

Constructor Detail

### HtmlCommandNavigationItem

    public HtmlCommandNavigationItem()

Method Detail

### isImmediate

    public boolean isImmediate()

### setImmediate

    public void setImmediate(java.lang.Boolean immediate)

### isOpen

    public boolean isOpen()

### setOpen

    public void setOpen(java.lang.Boolean open)

### isActive

    public boolean isActive()

### setActive

    public void setActive(java.lang.Boolean active)

### isRendered

    public boolean isRendered()

  Overrides:
    `isRendered` in class `HtmlCommandLink`
  Returns:
    false, if this item is child of another HtmlCommandNavigation, which is closed

### toggleOpen

    public void toggleOpen()

### broadcast

    public void broadcast(javax.faces.event.FacesEvent event)
                   throws javax.faces.event.AbortProcessingException

  Throws:
    `javax.faces.event.AbortProcessingException`

### saveState

    public java.lang.Object saveState(javax.faces.context.FacesContext context)

  Specified by:
    `saveState` in interface `javax.faces.component.StateHolder`
  Overrides:
    `saveState` in class `HtmlCommandLink`

### restoreState

    public void restoreState(javax.faces.context.FacesContext context,
                             java.lang.Object state)

  Specified by:
    `restoreState` in interface `javax.faces.component.StateHolder`
  Overrides:
    `restoreState` in class `HtmlCommandLink`

### getFamily

    public java.lang.String getFamily()